.bi-list {
    transition: var(--primary-transition);
}

.bi-list:hover {
    opacity: .6;
    transition: var(--primary-transition);
}

.nav-link,
.nav-header,
.fs-custom {
    font-size: var(--primary-font-size);
}

.fs-custom-sm {
    font-size: var(--secondary-font-size);
}

.nav-link,
.form-label,
.form-check-label,
.dataTables_length,
.dataTables_filter,
td {
    color: var(--primary-color);
}

.offcanvas-header {
    border-top-right-radius: 13px;
    margin-bottom: 5%;
}

.offcanvas {
    border-top-right-radius: 15px;
    border-bottom-right-radius: 15px;
}

.logo-img {
    height: 40px;
}

.logo-img-sm {
    height: 25px;
}

.logo-img-alt {
    height: 60px;
}

.custom-line {
    border: none;
    height: .8px;
    background-color: var(--primary-color);
    width: 100%;
    margin-top: 5%;
    margin-bottom: 10px;
}

/* Dashboard */
th,
td,
.fs-custom-xm {
    font-size: 10px !important;
}

tbody,
td,
tfoot,
th,
thead,
tr {
    border-color: #6ee7b73d !important;
}

.dataTables_wrapper label,
.paginate_button,
.dataTables_info {
    font-size: 10px !important;
}

.dataTables_info,
.dataTables_paginate {
    margin-top: 16px !important;
    color: var(--primary-color) !important;
}

/* .custom-heading {
    border-top-right-radius: var(--secondary-border-radius);
    border-top-left-radius: var(--secondary-border-radius);
    background: var(--primary-color);
    padding: 15px !important;
    margin-bottom: 16px;
} */

.paginate_button {
    border-radius: var(--secondary-border-radius) !important;
    margin: 0 4px !important;
}

.dataTables_wrapper .dataTables_paginate .paginate_button.current,
.dataTables_wrapper .dataTables_paginate .paginate_button.current:hover {
    background: var(--secondary-color) !important;
    border: none !important;
    transition: var(--primary-transition) !important;
    box-shadow: var(--primary-box-shadow) !important;
    border-radius: var(--secondary-border-radius) !important;
}

.dataTables_wrapper .dataTables_paginate .paginate_button:hover {
    background: var(--secondary-color) !important;
    border: none !important;
    transition: var(--primary-transition) !important;
    box-shadow: var(--primary-box-shadow) !important;
    border-radius: var(--secondary-border-radius);
}

.dataTables_wrapper .dataTables_paginate .paginate_button {
    transition: var(--primary-transition) !important;
    border: none !important;
}

tr th {
    background: var(--primary-color) !important;
    color: #fff !important;
}

tr {
    vertical-align: middle !important;
}

/* td{
    padding: 10px 0 !important;
} */

.dataTables_filter,
.dataTables_info,
.paginate_button {
    margin-bottom: 2pc !important;
}

.dataTables_filter [type=search] {
    outline-offset: 0px !important;
}

.dataTables_wrapper .dataTables_filter input:focus-visible {
    outline: none !important;
}

.dataTables_wrapper .dataTables_filter input {
    /* background: var(--secondary-color) !important; */
    border-radius: var(--secondary-border-radius) !important;
    /* box-shadow: var(--primary-box-shadow); */
    padding: 7px !important;
}

.dataTables_wrapper .dataTables_length select {
    background: var(--secondary-color) !important;
    width: 100px !important;
    transition: var(--primary-transition) !important;
    box-shadow: var(--primary-box-shadow) !important;
    border-radius: var(--secondary-border-radius) !important;
    padding: 7px !important;
    margin: 0 10px !important;
}

.dataTables_wrapper .dataTables_length select:focus-visible {
    outline: none !important;
}
.dataTables_length{
    margin-bottom: 16px;
}
.paging_simple_numbers{
    margin-bottom: 16px;
}

table {
    border-radius: 10px !important;
    background-color: transparent !important;
}
.paginate_button{
    text-decoration: none;
    color: #fff;
    cursor: pointer;
    background-color: var(--primary-color);
    padding: 8px 10px;
}

/* Add rounded corners to the top and bottom left/right of the table */
table thead tr:first-child th:first-child {
    border-top-left-radius: 10px !important;
    border-bottom-left-radius: 10px !important;
}

table thead tr:first-child th:last-child {
    border-top-right-radius: 10px !important;
    border-bottom-right-radius: 10px !important;
}

/* table tbody tr:last-child td:first-child {
    border-bottom-left-radius: 10px !important;
}

table tbody tr:last-child td:last-child {
    border-bottom-right-radius: 10px !important;
} */
/* 
.table-striped>tbody>tr:nth-of-type(odd)>* {
    --bs-table-bg-type: #d7d7e5 !important;
} */

table.dataTable.no-footer {
    border-bottom: none !important;
}

table.dataTable tbody th,
table.dataTable tbody td {
    padding: 8px 10px;
    background: transparent;
}

.table>:not(caption)>*>* {
    border-bottom-width: 1px !important;
}

table.dataTable tbody th,
table.dataTable tbody td {
    padding: 12px 10px !important;
}

.dash-box {
    border: 1.3px solid var(--primary-color);
    background: var(--grey-gradient);
    box-shadow: var(--secondary-box-shadow);
    border-radius: 15px;
    border: 1px solid #e6e6e6;
}

.fs-2-custom {
    font-size: 3.22rem !important;
}

.doughnut-chart-style {
    height: 220px;
    width: 220px;
    margin: auto;
}

.fs-md-6 {
    font-size: 14px;
}

/* Reservations */
.nav-tabs .nav-item.show .nav-link,
.nav-tabs .nav-link.active p,
.nav-tabs .nav-item.show .nav-link,
.nav-tabs .nav-link:hover p {
    color: var(--secondary-color) !important;
    transition: var(--primary-transition) !important;
}

.nav-tabs .nav-item.show .nav-link,
.nav-tabs .nav-link.active {
    box-shadow: rgba(99, 99, 99, 0.2) -6px -4px 8px -2px !important;
}

.form-label,
.form-check-label,
.form-control,
.form-select,
.input-group .form-control {
    font-size: var(--primary-font-size) !important;
}

.form-check-input:checked {
    background-color: var(--secondary-color) !important;
    border-color: var(--secondary-color) !important;
}

.form-check-input:focus {
    box-shadow: none !important;
    border-color: var(--secondary-color) !important;
}

#login_form a:hover,
#Login_left_content a:hover {
    cursor: pointer !important;
    text-decoration: underline !important;
}

.input-group-text .form-select {
    border-top-right-radius: 0px !important;
    border-bottom-right-radius: 0px !important;
}

/* Edit Reservations Page */
.dropdown-item {
    transform: translateY(0);
    transition: all .3s ease-in-out;
}

.dropdown-item:hover {
    cursor: pointer;
    transform: translateY(-2px);
    box-shadow: var(--primary-box-shadow);
    transition: all .3s ease-in-out;
}

.dd-primary .dropdown-item:hover,
#nav-profile .dropdown-item:hover {
    background: var(--secondary-color) !important;
}

.dd-secondary .dropdown-item:hover {
    background: var(--primary-color) !important;
}

.form-span {
    padding: 4px 10px !important;
    font-size: 13px !important;
    border-top-left-radius: 5px !important;
    border-bottom-left-radius: 5px !important;
}

.custom-line-new {
    border: none;
    height: .5px;
    background-color: var(--primary-color);
    width: 100%;
}

.table-responsive-custom {
    overflow-x: auto !important;
    /* Show scrollbar only when overflow occurs */
    overflow-y: hidden !important;
    /* Disable vertical scrolling */
}

#nav-profile .dropdown-toggle::after {
    display: none;
}

#nav-profile .dropdown-menu[data-bs-popper] {
    top: 100%;
    left: -130px;
    margin-top: 16px;
}

.guest_photo {
    max-width: 400px;
    height: 270px;
}

.dash-box-width {
    max-width: 200px;
}

.room-selected-area {
    min-height: 150px;
}

.text-grey {
    color: #787878 !important;
}

.room-image {
    height: 140px;
}

.mx-width-custom {
    max-width: 260px;
}

.marquee {
    width: 100%;
    overflow: hidden;
    background-color: transparent;
    display: flex;
    align-items: center;
    position: relative;
    /* max-width: 500px; */
    -webkit-mask-image: linear-gradient(90deg, transparent, #212121 10%, #fff 85%, transparent);
}

.marquee-content {
    display: flex;
    animation: marquee 15s linear infinite;
    /* Infinite animation */
    animation-play-state: running;
    /* Default running state */
}

.marquee:hover .marquee-content {
    animation-play-state: paused;
    /* Pause the animation on hover */
}

.marquee-item {
    flex-shrink: 0;
    background-color: var(--secondary-color) !important;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 2pc 15px 1pc 15px;
    font-size: 13px;
    transition: transform 0.4s ease, filter 0.4s ease;
    padding: 1rem 1.3rem;
    max-width: 300px;
}

.marquee:hover .marquee-item {
    filter: blur(4px);
    transform: scale(0.9);
}

.marquee .marquee-item:hover {
    filter: none;
    transform: scale(1.05);
    cursor: pointer;
}

@keyframes marquee {
    0% {
        transform: translateX(0);
    }

    100% {
        transform: translateX(-50%);
    }
}
